streaming_node< tuple< Ports... >, JP, StreamFactory >::wrap_to_async< T, U > Struct Template Reference
Collaboration diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::wrap_to_async< T, U >:

## Public Types

typedef T | type

## Detailed Description

### template<typename... Ports, typename JP, typename StreamFactory>
template<typename T, typename U = typename internal::is_port_ref<T>::type>
struct streaming_node< tuple< Ports... >, JP, StreamFactory >::wrap_to_async< T, U >

Definition at line 648 of file _flow_graph_streaming_node.h.

## Member Typedef Documentation

## type

template<typename... Ports, typename JP , typename StreamFactory >
template<typename T , typename U = typename internal::is_port_ref<T>::type>

typedef T streaming_node< tuple< Ports... >, JP, StreamFactory >::wrap_to_async< T, U >::type

Definition at line 649 of file _flow_graph_streaming_node.h.

The documentation for this struct was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.